package com.lanyuanxiaoyao.service.forest.service.launcher;

import com.dtflys.forest.annotation.Get;
import com.dtflys.forest.annotation.Query;

/**
 * @author lanyuanxiaoyao
 * @date 2023-06-06
 */
public interface LauncherService {
    @Get("/launcher/synchronizer/start")
    void syncStart(@Query("flink_job_id") Long flinkJobId);

    @Get("/launcher/synchronizer/stop")
    void syncStop(@Query("flink_job_id") Long flinkJobId);

    @Get("/launcher/compaction/stop")
    void compactionStop(@Query("flink_job_id") Long flinkJobId, @Query("alias") String alias);

    @Get("/launcher/compaction/stop")
    void compactionStop(@Query("flink_job_id") Long flinkJobId, @Query("alias") String alias, @Query("disable_meta") Boolean disableMeta);

    @Get("/launcher/compaction/stop_app")
    void compactionStopApp(@Query("application_id") String applicationId);
}
